package example;

public class ResultMessage<T> {
    public boolean IsSuccess;
    public String Message;
    public T Data;

    public static <TData> ResultMessage<TData> Success(TData data) {
        ResultMessage<TData> result = new ResultMessage<TData>();
        result.IsSuccess = true;
        result.Message = "";
        result.Data = data;

        return result;
    }

    public static <TData> ResultMessage<TData> Error(String message) {
        ResultMessage<TData> result = new ResultMessage<TData>();
        result.IsSuccess = false;
        result.Message = message;
        result.Data = null;

        return result;
    }
}